Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity and Access Management
  • Secure use of Yandex Cloud
  • Access management
  • Pricing policy
  • Role reference
  • Terraform reference
    • API authentication
      • Overview
        • Overview
          • Overview
          • Get
          • List
          • Create
          • Delete
  • Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • FederatedCredential
  1. API reference
  2. REST
  3. Workload Identity
  4. FederatedCredential
  5. List

Workload Identity, REST: FederatedCredential.List

Written by
Yandex Cloud
Updated at June 23, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • FederatedCredential

Retrieves the list of federated credentials for the specified service account.

HTTP requestHTTP request

GET https://iam.api.cloud.yandex.net/iam/v1/workload/federatedCredentials

Query parametersQuery parameters

Field

Description

serviceAccountId

string

Required field. ID of the service account to list federated credentials for.
To get the the service account ID make a yandex.cloud.iam.v1.ServiceAccountService.List request.

The maximum string length in characters is 50.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize,
the service returns a ListFederatedCredentialsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Default value: 100.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set pageToken
to the ListFederatedCredentialsResponse.nextPageToken
returned by a previous list request.

The maximum string length in characters is 2000.

ResponseResponse

HTTP Code: 200 - OK

{
  "federatedCredentials": [
    {
      "id": "string",
      "serviceAccountId": "string",
      "federationId": "string",
      "externalSubjectId": "string",
      "createdAt": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

federatedCredentials[]

FederatedCredential

List of federated credentials.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListFederatedCredentialsRequest.pageSize, use
the nextPageToken as the value
for the ListFederatedCredentialsRequest.pageToken query parameter
in the next list request. Each subsequent list request will have its own
nextPageToken to continue paging through the results.

FederatedCredentialFederatedCredential

A federated credential.

Field

Description

id

string

Id of the federated credential.

serviceAccountId

string

Id of the service account that the federated credential belongs to.

federationId

string

ID of the workload identity federation which is used for authentication.

externalSubjectId

string

Id of the external subject (exact match).

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.